# class SIPDialog | SIP Dialog object. More...
Full name | `TelEngine::SIPDialog`
Definition | `#include <libs/ysip/yatesip.h>`
Inherits | TelEngine::String [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- SIPDialog ()
- SIPDialog (const SIPDialog& original)
- explicit SIPDialog (const SIPMessage& message)
- inline explicit SIPDialog (const String& callid)
- SIPDialog& operator= (const SIPDialog& original)
- SIPDialog& operator= (const SIPMessage& message)
- SIPDialog& operator= (const String& callid)
- bool matches (const SIPDialog& other, bool ignoreURIs) const
- inline bool operator== (const SIPDialog& other) const
- inline bool operator!= (const SIPDialog& other) const
- inline bool operator&= (const SIPDialog& other) const
- inline bool operator|= (const SIPDialog& other) const
- inline const String& fromURI (bool outgoing) const
- inline const String& fromTag (bool outgoing) const
- inline const String& toURI (bool outgoing) const
- inline const String& toTag (bool outgoing) const

#### Public Members

- String localURI
- String localTag
- String remoteURI
- String remoteTag

## Detailed Description

A class to store information required to identify a dialog

SIPDialog () | ### SIPDialog

Default constructor, build an empty SIP dialog

SIPDialog (const SIPDialog& original) | ### SIPDialog

Copy constructor

Parameters:

original | Original SIP dialog to copy

explicit SIPDialog (const SIPMessage& message) | ### SIPDialog

Constructor from a SIP message

Parameters:

message | SIP message to copy the dialog information from

inline explicit SIPDialog (const String& callid) | ### SIPDialog

Constructor from a Call ID, leaves URIs and tags empty

Parameters:

callid | Call ID to insert in the dialog

SIPDialog& operator= (const SIPDialog& original) | ### operator=

Assignment from another dialog

Parameters:

original | Original SIP dialog to copy

Returns: Reference to this SIP dialog

Reimplemented from String.

SIPDialog& operator= (const SIPMessage& message) | ### operator=

Assignment from a SIP message

Parameters:

message | SIP message to copy the dialog information from

Returns: Reference to this SIP dialog

Reimplemented from String.

SIPDialog& operator= (const String& callid) | ### operator=

Assignment from a Call ID, URIs and tags are cleared

Parameters:

callid | Call ID to copy to the dialog

Returns: Reference to this SIP dialog

Reimplemented from String.

bool matches (const SIPDialog& other, bool ignoreURIs) | ### matches

[const]

SIP dialog matching check

Parameters:

other | Other dialog to compare to
ignoreURIs | True to ignore local and remote URIs when comparing

Returns: True if the two dialogs match

Reimplemented from String.

inline bool operator== (const SIPDialog& other) | ### operator==

[const]

Dialog equality comparation, suitable for RFC 2543

Parameters:

other | Other dialog to compare to

Returns: True if the two dialogs are equal

Reimplemented from String.

inline bool operator!= (const SIPDialog& other) | ### operator!=

[const]

Dialog inequality comparation, suitable for RFC 2543

Parameters:

other | Other dialog to compare to

Returns: True if the two dialogs are different

Reimplemented from String.

inline bool operator&= (const SIPDialog& other) | ### operator&=

[const]

Dialog equality comparation, suitable for RFC 3261

Parameters:

other | Other dialog to compare to

Returns: True if the two dialogs match (ignoring local and remote URIs)

Reimplemented from String.

inline bool operator|= (const SIPDialog& other) | ### operator|=

[const]

Dialog inequality comparation, suitable for RFC 3261

Parameters:

other | Other dialog to compare to

Returns: True if the two dialogs do not match (ignoring local and remote URIs)

Reimplemented from String.

inline const String& fromURI (bool outgoing) | ### fromURI

[const]

Get the From URI from the dialog

Parameters:

outgoing | True if getting the URI for an outgoing transaction

Returns: Reference to the From URI in dialog

inline const String& fromTag (bool outgoing) | ### fromTag

[const]

Get the From tag from the dialog

Parameters:

outgoing | True if getting the tag for an outgoing transaction

Returns: Reference to the From URI tag in dialog

inline const String& toURI (bool outgoing) | ### toURI

[const]

Get the To URI from the dialog

Parameters:

outgoing | True if getting the URI for an outgoing transaction

Returns: Reference to the To URI in dialog

inline const String& toTag (bool outgoing) | ### toTag

[const]

Get the To tag from the dialog

Parameters:

outgoing | True if getting the tag for an outgoing transaction

Returns: Reference to the To URI tag in dialog

String localURI | ### localURI

String localTag | ### localTag

String remoteURI | ### remoteURI

String remoteTag | ### remoteTag

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.